package se.koc.trader.api;

import zutil.db.bean.DBBean;

/**
 * Configuration related to a exchange, e.g. connection information or account information.
 */
@DBBean.DBTable("exchange")
public abstract class ExchangeConfig extends DBBean {
    private String name;


    // ----------------------------------------------------
    // Abstract methods
    // ----------------------------------------------------

    public abstract ExchangeMarket getExchangeMarket();

    public abstract ExchangeWallet getExchangeOrder();

    // ----------------------------------------------------
    // Common logic
    // ----------------------------------------------------

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
